List all call recordings
Returns a list of your call recordings.
GET
/
recordings
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const recordingResponseData of client.recordings.list()) {
console.log(recordingResponseData.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.recordings.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Recordings.List(context.TODO(), telnyx.RecordingListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.recordings.RecordingListPage;
import com.telnyx.sdk.models.recordings.RecordingListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RecordingListPage page = client.recordings().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.recordings.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->recordings->list(
filter: [
'callControlID' => 'v3:e-31OnvjEM7Y4wvxr3TKNk8M3QyLcGZPiUIzCGtwQtOtEjY-B0urkw',
'callLegID' => '428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'callSessionID' => '428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'conferenceID' => '428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'conferenceRegion' => 'us',
'connectionID' => '175237942907135762',
'createdAt' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'endTime' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'from' => '1234567890',
'sipCallID' => '428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'startTime' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'to' => '1234567890',
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx recordings list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/recordings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"call_control_id": "v3:e-31OnvjEM7Y4wvxr3TKNk8M3QyLcGZPiUIzCGtwQtOtEjY-B0urkw",
"call_leg_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"call_session_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"channels": "dual",
"conference_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"created_at": "2018-02-02T22:25:27.521Z",
"download_urls": {
"mp3": "<string>",
"wav": "<string>"
},
"duration_millis": 60000,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"record_type": "recording",
"recording_started_at": "2019-01-23T18:10:02.574Z",
"recording_ended_at": "2019-01-23T18:10:02.574Z",
"source": "conference",
"status": "completed",
"from": "+15551234567",
"to": "+15557654321",
"connection_id": "175237942907135762",
"initiated_by": "StartCallRecordingAPI",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Filter recordings by various attributes.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const recordingResponseData of client.recordings.list()) {
console.log(recordingResponseData.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.recordings.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Recordings.List(context.TODO(), telnyx.RecordingListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.recordings.RecordingListPage;
import com.telnyx.sdk.models.recordings.RecordingListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RecordingListPage page = client.recordings().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.recordings.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->recordings->list(
filter: [
'callControlID' => 'v3:e-31OnvjEM7Y4wvxr3TKNk8M3QyLcGZPiUIzCGtwQtOtEjY-B0urkw',
'callLegID' => '428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'callSessionID' => '428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'conferenceID' => '428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'conferenceRegion' => 'us',
'connectionID' => '175237942907135762',
'createdAt' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'endTime' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'from' => '1234567890',
'sipCallID' => '428c31b6-7af4-4bcb-b7f5-5013ef9657c1',
'startTime' => [
'gte' => '2019-03-29T11:10:00Z', 'lte' => '2019-03-29T11:10:00Z'
],
'to' => '1234567890',
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx recordings list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/recordings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"call_control_id": "v3:e-31OnvjEM7Y4wvxr3TKNk8M3QyLcGZPiUIzCGtwQtOtEjY-B0urkw",
"call_leg_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"call_session_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"channels": "dual",
"conference_id": "84a97d76-e40f-11ed-9074-02420a0daa69",
"created_at": "2018-02-02T22:25:27.521Z",
"download_urls": {
"mp3": "<string>",
"wav": "<string>"
},
"duration_millis": 60000,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"record_type": "recording",
"recording_started_at": "2019-01-23T18:10:02.574Z",
"recording_ended_at": "2019-01-23T18:10:02.574Z",
"source": "conference",
"status": "completed",
"from": "+15551234567",
"to": "+15557654321",
"connection_id": "175237942907135762",
"initiated_by": "StartCallRecordingAPI",
"updated_at": "2018-02-02T22:25:27.521Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}